Endpoint Groups
Integrations
Git repository and external integration lifecycle operations.
List git reposGET
/git-repos
Operation ID
listGitReposQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
max_results |
integer |
false |
- |
page_token |
string |
false |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
429 |
Client error |
500 |
Server error |
Create git repoPOST
/git-repos
Operation ID
createGitRepoRequest Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
201 |
The request has succeeded and a new resource has been created as a result. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
Get git repoGET
/git-repos/{gitRepoId}
Operation ID
getGitRepoPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
gitRepoId |
string |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Delete git repoDELETE
/git-repos/{gitRepoId}
Operation ID
deleteGitRepoPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
gitRepoId |
string |
true |
- |
Responses
| Code | Description |
|---|---|
204 |
There is no content to send for this request, but the headers may be useful. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Sync git repoPOST
/git-repos/{gitRepoId}/sync
Operation ID
syncGitRepoPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
gitRepoId |
string |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
501 |
Server error |